package domain

type EngagementService interface {
	ViewRecipe(recipeId int) (Engagement, error)
	ShareRecipe(recipeId int) (Engagement, error)
	UserViewRecipe(userId, recipeId int) (Engagement, error)
	UserFavoriteRecipe(userId, recipeId int) (Engagement, error)
	UserMakeRecipe(userId, recipeId int) (Engagement, error)
	UserShareRecipe(userId, recipeId int) (Engagement, error)
	GetUserEngagement(userId, limit int) ([]Engagement, error)
}
